/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestRoleInput } from "../types/TestRoleInput";
import { TestRoleOutput } from "../types/TestRoleOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/TestRoleInput";
export * from "../types/TestRoleOutput";
export * from "../types/TestRoleExceptionsUnion";
export declare class TestRoleCommand implements __aws_sdk_types.Command<InputTypesUnion, TestRoleInput, OutputTypesUnion, TestRoleOutput, ElasticTranscoderResolvedConfiguration, _stream.Readable> {
    readonly input: TestRoleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestRoleInput, TestRoleOutput, _stream.Readable>;
    constructor(input: TestRoleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<TestRoleInput, TestRoleOutput>;
}
