"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdatePipelineNotificationsInput_1 = require("../shapes/UpdatePipelineNotificationsInput");
const UpdatePipelineNotificationsOutput_1 = require("../shapes/UpdatePipelineNotificationsOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceInUseException_1 = require("../shapes/ResourceInUseException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePipelineNotifications = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePipelineNotifications",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/pipelines/{Id}/notifications"
    },
    input: {
        shape: UpdatePipelineNotificationsInput_1.UpdatePipelineNotificationsInput
    },
    output: {
        shape: UpdatePipelineNotificationsOutput_1.UpdatePipelineNotificationsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=UpdatePipelineNotifications.js.map