"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _VideoParameters_1 = require("./_VideoParameters");
const _AudioParameters_1 = require("./_AudioParameters");
const _Thumbnails_1 = require("./_Thumbnails");
exports.CreatePresetInput = {
    type: "structure",
    required: ["Name", "Container"],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Container: {
            shape: {
                type: "string"
            }
        },
        Video: {
            shape: _VideoParameters_1._VideoParameters
        },
        Audio: {
            shape: _AudioParameters_1._AudioParameters
        },
        Thumbnails: {
            shape: _Thumbnails_1._Thumbnails
        }
    }
};
//# sourceMappingURL=CreatePresetInput.js.map